// Message.cpp: implementation of the ExCMessage class.
//
//////////////////////////////////////////////////////////////////////

#include "ExCMessage.h"
 
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ExCMessage::ExCMessage()
{
Guard(ExCMessage::ExCMessage())
	SetMessage("NULL");
UnGuard
}

ExCMessage::ExCMessage(ExCMessage& message)
{
Guard(ExCMessage::ExCMessage(ExCMessage& message))
	SetType(message.GetType());
	SetMessage(message.GetMessage());
UnGuard
}

ExCMessage::~ExCMessage()
{
Guard(ExCMessage::~ExCMessage())
UnGuard
}

// Friends
std::ostream& operator<<(std::ostream& s,ExCMessage &msg)
{
	s<<"Type:"<<msg.GetType()<<" Message:"<<msg.GetMessage();
	return s;
}
std::ostrstream& operator<<(std::ostrstream& s,ExCMessage &msg)
{
	s<<"Type:"<<msg.GetType()<<" Message:"<<msg.GetMessage();
	return s;
}
